Bug 99314 - [Qt] Separate Qt WebKit into Qt WebKit and Qt WebKit Widgets
Summary: [Qt] Separate Qt WebKit into Qt WebKit and Qt WebKit Widgets
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit Qt (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Simon Hausmann
URL:
Keywords:
: 76775 (view as bug list)
Depends on: 88162 102800
Blocks: 76773
  Show dependency treegraph
 
Reported: 2012-10-15 05:53 PDT by Simon Hausmann
Modified: 2012-11-30 07:32 PST (History)
13 users (show)

See Also:


Attachments
Patch (921.01 KB, patch)
2012-11-29 08:50 PST, Simon Hausmann
no flags Details | Formatted Diff | Diff
Patch (930.44 KB, patch)
2012-11-30 06:47 PST, Simon Hausmann
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Simon Hausmann 2012-10-15 05:53:23 PDT
This bug tracks the remainder of bug #88162 to complete the separation of QtWebKit into QtWebKit and QtWebKitWidgets shared libraries.
Comment 1 Simon Hausmann 2012-11-29 05:17:47 PST
*** Bug 76775 has been marked as a duplicate of this bug. ***
Comment 2 Simon Hausmann 2012-11-29 08:50:43 PST
Created attachment 176743 [details]
Patch
Comment 3 WebKit Review Bot 2012-11-29 08:56:45 PST
Attachment 176743 [details] did not pass style-queue:

Source/WebKit/qt/WidgetApi/qwebpage.h:21:  #ifndef header guard has wrong style, please use: qwebpage_h  [build/header_guard] [5]
Source/WebKit/qt/WidgetApi/qwebpage.h:24:  Alphabetical sorting problem.  [build/include_order] [4]
Source/WebKit/qt/WidgetApi/qwebpage.h:56:  Code inside a namespace should not be indented.  [whitespace/indent] [4]
Source/WebKit/qt/WidgetApi/qwebpage.h:258:  The parameter name "view" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebpage.h:266:  The parameter name "manager" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebpage.h:269:  The parameter name "factory" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebpage.h:280:  The parameter name "action" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebpage.h:282:  The parameter name "action" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebpage.h:285:  The parameter name "size" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebpage.h:289:  The parameter name "size" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebpage.h:290:  The parameter name "rect" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebpage.h:299:  The parameter name "forward" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebpage.h:302:  The parameter name "policy" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebpage.h:305:  The parameter name "palette" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebpage.h:308:  The parameter name "editable" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebpage.h:312:  The parameter name "event" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebpage.h:318:  The parameter name "frame" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebpage.h:318:  The parameter name "feature" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebpage.h:318:  The parameter name "policy" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebpage.h:328:  Missing space inside { }.  [whitespace/braces] [5]
Source/WebKit/qt/WidgetApi/qwebpage.h:330:  Missing space inside { }.  [whitespace/braces] [5]
Source/WebKit/qt/WidgetApi/qwebpage.h:355:  Missing space inside { }.  [whitespace/braces] [5]
Source/WebKit/qt/WidgetApi/qwebpage.h:363:  The parameter name "extension" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebpage.h:363:  The parameter name "option" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebpage.h:364:  The parameter name "extension" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebpage.h:378:  The parameter name "frame" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebpage.h:383:  The parameter name "frame" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebpage.h:384:  The parameter name "url" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebpage.h:390:  The parameter name "reply" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebpage.h:391:  The parameter name "request" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebpage.h:395:  The parameter name "frame" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebpage.h:396:  The parameter name "origin" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebpage.h:398:  The parameter name "frame" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebpage.h:398:  The parameter name "item" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebpage.h:399:  The parameter name "frame" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebpage.h:403:  The parameter name "frame" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebpage.h:403:  The parameter name "feature" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebpage.h:404:  The parameter name "frame" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebpage.h:404:  The parameter name "feature" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebpage.h:407:  The parameter name "type" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebpage.h:408:  The parameter name "url" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebpage.h:410:  The parameter name "frame" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebpage.h:410:  The parameter name "request" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebpage.h:410:  The parameter name "type" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebpage.h:417:  The parameter name "url" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebview.h:21:  #ifndef header guard has wrong style, please use: qwebview_h  [build/header_guard] [5]
Source/WebKit/qt/WidgetApi/qwebview.h:26:  Alphabetical sorting problem.  [build/include_order] [4]
Source/WebKit/qt/WidgetApi/qwebview.h:28:  Alphabetical sorting problem.  [build/include_order] [4]
Source/WebKit/qt/WidgetApi/qwebview.h:50:  Should have a space between // and comment  [whitespace/comments] [4]
Source/WebKit/qt/WidgetApi/qwebview.h:61:  The parameter name "page" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebview.h:63:  The parameter name "url" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebview.h:64:  The parameter name "request" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebview.h:64:  The parameter name "operation" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebview.h:72:  The parameter name "url" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebview.h:81:  The parameter name "action" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebview.h:83:  The parameter name "action" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebview.h:98:  The parameter name "factor" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebview.h:104:  The parameter name "hints" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebview.h:105:  The parameter name "hint" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebview.h:134:  The parameter name "type" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WebCoreSupport/QtPrintContext.cpp:43:  More than one command on the same line  [whitespace/newline] [4]
Source/WebKit/qt/WidgetApi/qwebframe_p.h:21:  #ifndef header guard has wrong style, please use: qwebframe_p_h  [build/header_guard] [5]
Source/WebKit/qt/WidgetApi/qwebframe_p.h:31:  Code inside a namespace should not be indented.  [whitespace/indent] [4]
Source/WebKit/qt/WidgetApi/qwebframe_p.h:44:  Missing space inside { }.  [whitespace/braces] [5]
Source/WebKit/qt/WidgetApi/qwebinspector.h:20:  #ifndef header guard has wrong style, please use: qwebinspector_h  [build/header_guard] [5]
Source/WebKit/qt/WidgetApi/qwebinspector.h:36:  The parameter name "page" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebinspector.h:43:  The parameter name "event" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebinspector.h:44:  The parameter name "event" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebinspector.h:45:  The parameter name "event" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebinspector.h:46:  The parameter name "event" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qgraphicswebview.h:20:  #ifndef header guard has wrong style, please use: qgraphicswebview_h  [build/header_guard] [5]
Source/WebKit/qt/WidgetApi/qgraphicswebview.h:26:  Alphabetical sorting problem.  [build/include_order] [4]
Source/WebKit/qt/WidgetApi/qgraphicswebview.h:74:  The parameter name "url" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qgraphicswebview.h:75:  The parameter name "request" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qgraphicswebview.h:75:  The parameter name "operation" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qgraphicswebview.h:84:  The parameter name "action" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qgraphicswebview.h:85:  The parameter name "action" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qgraphicswebview.h:93:  The parameter name "frozen" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qgraphicswebview.h:95:  The parameter name "rect" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qgraphicswebview.h:97:  The parameter name "widget" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qgraphicswebview.h:98:  The parameter name "change" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qgraphicswebview.h:103:  The parameter name "query" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WebCoreSupport/QWebFrameAdapter.cpp:33:  Alphabetical sorting problem.  [build/include_order] [4]
Source/WebKit/qt/WebCoreSupport/QWebFrameAdapter.cpp:40:  Alphabetical sorting problem.  [build/include_order] [4]
Source/WebKit/qt/WebCoreSupport/QWebFrameAdapter.cpp:44:  Alphabetical sorting problem.  [build/include_order] [4]
Source/WebKit/qt/WebCoreSupport/QWebFrameAdapter.cpp:53:  Alphabetical sorting problem.  [build/include_order] [4]
Source/WebKit/qt/WebCoreSupport/QWebFrameAdapter.cpp:197:  Declaration has space between type name and * in ScriptController *proxy  [whitespace/declaration] [3]
Source/WebKit/qt/WebCoreSupport/QWebFrameAdapter.cpp:234:  When wrapping a line, only indent 4 spaces.  [whitespace/indent] [3]
Source/WebKit/qt/WebCoreSupport/QWebFrameAdapter.cpp:252:  Declaration has space between type name and * in Element *documentElement  [whitespace/declaration] [3]
Source/WebKit/qt/WebCoreSupport/QWebFrameAdapter.cpp:288:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/WebKit/qt/WebCoreSupport/QWebFrameAdapter.cpp:318:  Declaration has space between type name and * in FrameView *view  [whitespace/declaration] [3]
Source/WebKit/qt/WebCoreSupport/QWebFrameAdapter.cpp:379:  Declaration has space between type name and * in QWebHitTestResultPrivate *QWebFrameAdapter  [whitespace/declaration] [3]
Source/WebKit/qt/WebCoreSupport/QWebFrameAdapter.cpp:393:  Declaration has space between type name and * in Document *doc  [whitespace/declaration] [3]
Source/WebKit/qt/WebCoreSupport/QWebFrameAdapter.cpp:462:  Omit int when using unsigned  [runtime/unsigned] [1]
Source/WebKit/qt/WebCoreSupport/QWebFrameAdapter.cpp:682:  Declaration has space between type name and * in FrameTree *tree  [whitespace/declaration] [3]
Source/WebKit/qt/WebCoreSupport/QWebFrameAdapter.cpp:684:  Declaration has space between type name and * in FrameLoader *loader  [whitespace/declaration] [3]
Source/WebKit/qt/WebCoreSupport/QWebFrameAdapter.cpp:725:  Declaration has space between type name and * in FrameView *view  [whitespace/declaration] [3]
Source/WebKit/qt/WebCoreSupport/QWebFrameAdapter.cpp:739:  Declaration has space between type name and * in Scrollbar *sb  [whitespace/declaration] [3]
Source/WebKit/qt/WebCoreSupport/QWebFrameAdapter.cpp:752:  Declaration has space between type name and * in Scrollbar *sb  [whitespace/declaration] [3]
Source/WebKit/qt/WebCoreSupport/QWebFrameAdapter.cpp:761:  Declaration has space between type name and * in Scrollbar *sb  [whitespace/declaration] [3]
Source/WebKit/qt/WebCoreSupport/QWebFrameAdapter.cpp:770:  Declaration has space between type name and * in Scrollbar *sb  [whitespace/declaration] [3]
Source/WebKit/qt/WebCoreSupport/QWebFrameAdapter.cpp:795:  Missing space after ,  [whitespace/comma] [3]
Source/WebKit/qt/WebCoreSupport/QWebFrameAdapter.cpp:828:  Declaration has space between type name and * in QPixmap *pix  [whitespace/declaration] [3]
Source/WebKit/qt/WebCoreSupport/QWebFrameAdapter.cpp:911:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/WebKit/qt/WebCoreSupport/QWebFrameAdapter.cpp:912:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/WebKit/qt/WebCoreSupport/QWebFrameAdapter.cpp:913:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/WebKit/qt/WebCoreSupport/TextureMapperLayerClientQt.h:29:  wtf includes should be <wtf/file.h> instead of "wtf/file.h".  [build/include] [4]
Source/WebKit/qt/WebCoreSupport/TextureMapperLayerClientQt.h:45:  The parameter name "layer" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qgraphicswebview.cpp:29:  Alphabetical sorting problem.  [build/include_order] [4]
Source/WebKit/qt/WidgetApi/qgraphicswebview.cpp:36:  Alphabetical sorting problem.  [build/include_order] [4]
Source/WebKit/qt/WidgetApi/qgraphicswebview.cpp:54:  Missing space inside { }.  [whitespace/braces] [5]
Source/WebKit/qt/WidgetApi/qgraphicswebview.cpp:119:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/WebKit/qt/WidgetApi/qgraphicswebview.cpp:290:  When wrapping a line, only indent 4 spaces.  [whitespace/indent] [3]
Source/WebKit/qt/WidgetApi/qgraphicswebview.cpp:293:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/WebKit/qt/WidgetApi/qgraphicswebview.cpp:317:  When wrapping a line, only indent 4 spaces.  [whitespace/indent] [3]
Source/WebKit/qt/WidgetApi/qgraphicswebview.cpp:498:  When wrapping a line, only indent 4 spaces.  [whitespace/indent] [3]
Source/WebKit/qt/WidgetApi/qgraphicswebview.cpp:500:  When wrapping a line, only indent 4 spaces.  [whitespace/indent] [3]
Source/WebKit/qt/WidgetApi/qgraphicswebview.cpp:502:  When wrapping a line, only indent 4 spaces.  [whitespace/indent] [3]
Source/WebKit/qt/WidgetApi/qgraphicswebview.cpp:504:  When wrapping a line, only indent 4 spaces.  [whitespace/indent] [3]
Source/WebKit/qt/WidgetApi/qgraphicswebview.cpp:506:  When wrapping a line, only indent 4 spaces.  [whitespace/indent] [3]
Source/WebKit/qt/WidgetApi/qgraphicswebview.cpp:508:  When wrapping a line, only indent 4 spaces.  [whitespace/indent] [3]
Source/WebKit/qt/WidgetApi/qgraphicswebview.cpp:510:  When wrapping a line, only indent 4 spaces.  [whitespace/indent] [3]
Source/WebKit/qt/WidgetApi/qgraphicswebview.cpp:512:  When wrapping a line, only indent 4 spaces.  [whitespace/indent] [3]
Source/WebKit/qt/WidgetApi/qgraphicswebview.cpp:514:  When wrapping a line, only indent 4 spaces.  [whitespace/indent] [3]
Source/WebKit/qt/WidgetApi/qgraphicswebview.cpp:517:  When wrapping a line, only indent 4 spaces.  [whitespace/indent] [3]
Source/WebKit/qt/WidgetApi/qgraphicswebview.cpp:700:  When wrapping a line, only indent 4 spaces.  [whitespace/indent] [3]
Source/WebKit/qt/WidgetApi/qgraphicswebview.cpp:793:  Declaration has space between type name and * in QAction *QGraphicsWebView  [whitespace/declaration] [3]
Source/WebKit/qt/WidgetApi/qgraphicswebview.cpp:909:  When wrapping a line, only indent 4 spaces.  [whitespace/indent] [3]
Source/WebKit/qt/WidgetApi/qwebpage.cpp:34:  Alphabetical sorting problem.  [build/include_order] [4]
Source/WebKit/qt/WidgetApi/qwebpage.cpp:138:  Should have a space between // and comment  [whitespace/comments] [4]
Source/WebKit/qt/WidgetApi/qwebpage.cpp:271:  Declaration has space between type name and * in QWebPageAdapter *QWebPagePrivate  [whitespace/declaration] [3]
Source/WebKit/qt/WidgetApi/qwebpage.cpp:273:  Declaration has space between type name and * in QWebPage *newPage  [whitespace/declaration] [3]
Source/WebKit/qt/WidgetApi/qwebpage.cpp:340:  Declaration has space between type name and * in QWebFullScreenVideoHandler *QWebPagePrivate  [whitespace/declaration] [3]
Source/WebKit/qt/WidgetApi/qwebpage.cpp:346:  Declaration has space between type name and * in QWebFrameAdapter *QWebPagePrivate  [whitespace/declaration] [3]
Source/WebKit/qt/WidgetApi/qwebpage.cpp:376:  Declaration has space between type name and * in QWebFrame *frame  [whitespace/declaration] [3]
Source/WebKit/qt/WidgetApi/qwebpage.cpp:428:  Declaration has space between type name and * in QtPluginWidgetAdapter *QWebPagePrivate  [whitespace/declaration] [3]
Source/WebKit/qt/WidgetApi/qwebpage.cpp:430:  Declaration has space between type name and * in QObject *widget  [whitespace/declaration] [3]
Source/WebKit/qt/WidgetApi/qwebpage.cpp:434:  Declaration has space between type name and * in QtPluginWidgetAdapter *QWebPagePrivate  [whitespace/declaration] [3]
Source/WebKit/qt/WidgetApi/qwebpage.cpp:457:  Non-label code inside switch statements should be indented.  [whitespace/indent] [4]
Source/WebKit/qt/WidgetApi/qwebpage.cpp:474:  Non-label code inside switch statements should be indented.  [whitespace/indent] [4]
Source/WebKit/qt/WidgetApi/qwebpage.cpp:487:  Declaration has space between type name and * in QMenu *createContextMenu  [whitespace/declaration] [3]
Source/WebKit/qt/WidgetApi/qwebpage.cpp:498:  Declaration has space between type name and * in QAction *a  [whitespace/declaration] [3]
Source/WebKit/qt/WidgetApi/qwebpage.cpp:513:  Declaration has space between type name and * in QMenu *subMenu  [whitespace/declaration] [3]
Source/WebKit/qt/WidgetApi/qwebpage.cpp:553:  Declaration has space between type name and * in QAction *a  [whitespace/declaration] [3]
Source/WebKit/qt/WidgetApi/qwebpage.cpp:566:  Declaration has space between type name and * in QAction *a  [whitespace/declaration] [3]
Source/WebKit/qt/WidgetApi/qwebpage.cpp:590:  A case label should not be indented, but line up with its switch statement.  [whitespace/indent] [4]
Source/WebKit/qt/WidgetApi/qwebpage.cpp:622:  Declaration has space between type name and * in QObject *QWebPagePrivate  [whitespace/declaration] [3]
Source/WebKit/qt/WidgetApi/qwebpage.cpp:752:  Declaration has space between type name and * in QMenu *menu  [whitespace/declaration] [3]
Source/WebKit/qt/WidgetApi/qwebpage.cpp:767:  Declaration has space between type name and * in QMenu *QWebPage  [whitespace/declaration] [3]
Source/WebKit/qt/WidgetApi/qwebpage.cpp:1379:  Declaration has space between type name and * in QWebFrame *QWebPage  [whitespace/declaration] [3]
Source/WebKit/qt/WidgetApi/qwebpage.cpp:1390:  Declaration has space between type name and * in QWebFrame *QWebPage  [whitespace/declaration] [3]
Source/WebKit/qt/WidgetApi/qwebpage.cpp:1417:  Declaration has space between type name and * in QWebHistory *QWebPage  [whitespace/declaration] [3]
Source/WebKit/qt/WidgetApi/qwebpage.cpp:1457:  Declaration has space between type name and * in QWidget *QWebPage  [whitespace/declaration] [3]
Source/WebKit/qt/WidgetApi/qwebpage.cpp:1623:  Declaration has space between type name and * in QWebPage *QWebPage  [whitespace/declaration] [3]
Source/WebKit/qt/WidgetApi/qwebpage.cpp:1625:  Declaration has space between type name and * in QWebView *webView  [whitespace/declaration] [3]
Source/WebKit/qt/WidgetApi/qwebpage.cpp:1627:  Declaration has space between type name and * in QWebView *newView  [whitespace/declaration] [3]
Source/WebKit/qt/WidgetApi/qwebpage.cpp:1639:  Declaration has space between type name and * in QObject *QWebPage  [whitespace/declaration] [3]
Source/WebKit/qt/WidgetApi/qwebpage.cpp:1670:  One line control clauses should not use braces.  [whitespace/braces] [4]
Source/WebKit/qt/WidgetApi/qwebpage.cpp:1758:  Declaration has space between type name and * in QWebSelectMethod *QWebPagePrivate  [whitespace/declaration] [3]
Source/WebKit/qt/WidgetApi/qwebpage.cpp:1983:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/WebKit/qt/WidgetApi/qwebpage.cpp:2153:  Declaration has space between type name and * in QAction *QWebPage  [whitespace/declaration] [3]
Source/WebKit/qt/WidgetApi/qwebpage.cpp:2155:  More than one command on the same line in if  [whitespace/parens] [4]
Source/WebKit/qt/WidgetApi/qwebpage.cpp:2161:  Declaration has space between type name and * in QStyle *style  [whitespace/declaration] [3]
Source/WebKit/qt/WidgetApi/qwebpage.cpp:2214:  A case label should not be indented, but line up with its switch statement.  [whitespace/indent] [4]
Source/WebKit/qt/WidgetApi/qwebpage.cpp:2215:  Declaration has space between type name and * in QAction *a  [whitespace/declaration] [3]
Source/WebKit/qt/WidgetApi/qwebpage.cpp:2220:  Declaration has space between type name and * in QAction *a  [whitespace/declaration] [3]
Source/WebKit/qt/WidgetApi/qwebpage.cpp:2368:  Declaration has space between type name and * in QAction *a  [whitespace/declaration] [3]
Source/WebKit/qt/WidgetApi/qwebpage.cpp:2375:  When wrapping a line, only indent 4 spaces.  [whitespace/indent] [3]
Source/WebKit/qt/WidgetApi/qwebpage.cpp:2408:  Declaration has space between type name and * in QUndoStack *QWebPage  [whitespace/declaration] [3]
Source/WebKit/qt/WidgetApi/qwebpage.cpp:2439:  Declaration has space between type name and * in QGraphicsSceneMouseEvent *gsEv  [whitespace/declaration] [3]
Source/WebKit/qt/WidgetApi/qwebpage.cpp:2446:  Declaration has space between type name and * in QGraphicsSceneMouseEvent *gsEv  [whitespace/declaration] [3]
Source/WebKit/qt/WidgetApi/qwebpage.cpp:2454:  Declaration has space between type name and * in QGraphicsSceneMouseEvent *gsEv  [whitespace/declaration] [3]
Source/WebKit/qt/WidgetApi/qwebpage.cpp:2462:  Declaration has space between type name and * in QGraphicsSceneMouseEvent *gsEv  [whitespace/declaration] [3]
Source/WebKit/qt/WidgetApi/qwebpage.cpp:2486:  Declaration has space between type name and * in QGraphicsSceneWheelEvent *gsEv  [whitespace/declaration] [3]
Source/WebKit/qt/WidgetApi/qwebpage.cpp:2670:  An else if statement should be written as an if statement when the prior "if" concludes with a return, break, continue or goto statement.  [readability/control_flow] [4]
Source/WebKit/qt/WidgetApi/qwebpage.cpp:2988:  Declaration has space between type name and * in QWebPageAdapter *QWebPage  [whitespace/declaration] [3]
Source/WebKit/qt/WidgetApi/qwebpage.cpp:3017:  Declaration has space between type name and * in QWebSettings *QWebPage  [whitespace/declaration] [3]
Source/WebKit/qt/WidgetApi/qwebpage.cpp:3061:  Declaration has space between type name and * in QNetworkAccessManager *QWebPage  [whitespace/declaration] [3]
Source/WebKit/qt/WidgetApi/qwebpage.cpp:3085:  Declaration has space between type name and * in QWebPluginFactory *QWebPage  [whitespace/declaration] [3]
Source/WebKit/qt/WebCoreSupport/TextureMapperLayerClientQt.cpp:28:  Alphabetical sorting problem.  [build/include_order] [4]
Source/WebKit/qt/WebCoreSupport/TextureMapperLayerClientQt.cpp:80:  One line control clauses should not use braces.  [whitespace/braces] [4]
Source/WebKit/qt/WebCoreSupport/TextureMapperLayerClientQt.cpp:110:  When wrapping a line, only indent 4 spaces.  [whitespace/indent] [3]
Source/WebKit/qt/WebCoreSupport/QWebFrameAdapter.h:32:  Alphabetical sorting problem.  [build/include_order] [4]
Source/WebKit/qt/WebCoreSupport/QWebFrameAdapter.h:64:  Missing space inside { }.  [whitespace/braces] [5]
Source/WebKit/qt/WebCoreSupport/QWebFrameAdapter.h:65:  The parameter name "hitTest" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WebCoreSupport/QWebFrameAdapter.h:155:  The parameter name "ownership" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WebCoreSupport/QWebFrameAdapter.h:183:  The parameter name "scale" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebview.cpp:27:  Alphabetical sorting problem.  [build/include_order] [4]
Source/WebKit/qt/WidgetApi/qwebview.cpp:55:  Declaration has space between type name and * in QWebView *view  [whitespace/declaration] [3]
Source/WebKit/qt/WidgetApi/qwebview.cpp:56:  Declaration has space between type name and * in QWebPage *page  [whitespace/declaration] [3]
Source/WebKit/qt/WidgetApi/qwebview.cpp:207:  Declaration has space between type name and * in QWebPage *QWebView  [whitespace/declaration] [3]
Source/WebKit/qt/WidgetApi/qwebview.cpp:210:  Declaration has space between type name and * in QWebView *that  [whitespace/declaration] [3]
Source/WebKit/qt/WidgetApi/qwebview.cpp:264:  Declaration has space between type name and * in QWebFrame *mainFrame  [whitespace/declaration] [3]
Source/WebKit/qt/WidgetApi/qwebview.cpp:266:  When wrapping a line, only indent 4 spaces.  [whitespace/indent] [3]
Source/WebKit/qt/WidgetApi/qwebview.cpp:268:  When wrapping a line, only indent 4 spaces.  [whitespace/indent] [3]
Source/WebKit/qt/WidgetApi/qwebview.cpp:270:  When wrapping a line, only indent 4 spaces.  [whitespace/indent] [3]
Source/WebKit/qt/WidgetApi/qwebview.cpp:273:  When wrapping a line, only indent 4 spaces.  [whitespace/indent] [3]
Source/WebKit/qt/WidgetApi/qwebview.cpp:275:  When wrapping a line, only indent 4 spaces.  [whitespace/indent] [3]
Source/WebKit/qt/WidgetApi/qwebview.cpp:277:  When wrapping a line, only indent 4 spaces.  [whitespace/indent] [3]
Source/WebKit/qt/WidgetApi/qwebview.cpp:279:  When wrapping a line, only indent 4 spaces.  [whitespace/indent] [3]
Source/WebKit/qt/WidgetApi/qwebview.cpp:281:  When wrapping a line, only indent 4 spaces.  [whitespace/indent] [3]
Source/WebKit/qt/WidgetApi/qwebview.cpp:283:  When wrapping a line, only indent 4 spaces.  [whitespace/indent] [3]
Source/WebKit/qt/WidgetApi/qwebview.cpp:286:  When wrapping a line, only indent 4 spaces.  [whitespace/indent] [3]
Source/WebKit/qt/WidgetApi/qwebview.cpp:288:  When wrapping a line, only indent 4 spaces.  [whitespace/indent] [3]
Source/WebKit/qt/WidgetApi/qwebview.cpp:319:  When wrapping a line, only indent 4 spaces.  [whitespace/indent] [3]
Source/WebKit/qt/WidgetApi/qwebview.cpp:374:  Declaration has space between type name and * in QWebHistory *QWebView  [whitespace/declaration] [3]
Source/WebKit/qt/WidgetApi/qwebview.cpp:388:  Declaration has space between type name and * in QWebSettings *QWebView  [whitespace/declaration] [3]
Source/WebKit/qt/WidgetApi/qwebview.cpp:496:  Declaration has space between type name and * in QAction *QWebView  [whitespace/declaration] [3]
Source/WebKit/qt/WidgetApi/qwebview.cpp:700:  Declaration has space between type name and * in QContextMenuEvent *event  [whitespace/declaration] [3]
Source/WebKit/qt/WidgetApi/qwebview.cpp:724:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/WebKit/qt/WidgetApi/qwebview.cpp:725:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/WebKit/qt/WidgetApi/qwebview.cpp:726:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/WebKit/qt/WidgetApi/qwebview.cpp:727:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/WebKit/qt/WidgetApi/qwebview.cpp:828:  Declaration has space between type name and * in QWebFrame *frame  [whitespace/declaration] [3]
Source/WebKit/qt/WidgetApi/qwebview.cpp:854:  Declaration has space between type name and * in QWebView *QWebView  [whitespace/declaration] [3]
Source/WebKit/qt/WidgetApi/qwebview.cpp:1033:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/WebKit/qt/WidgetApi/qwebinspector_p.h:20:  #ifndef header guard has wrong style, please use: qwebinspector_p_h  [build/header_guard] [5]
Source/WebKit/qt/WidgetApi/qwebinspector_p.h:36:  Missing space inside { }.  [whitespace/braces] [5]
Source/WebKit/qt/WidgetApi/qwebinspector_p.h:39:  The parameter name "size" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WebCoreSupport/QWebPageAdapter.h:95:  Extra space before last semicolon. If this should be an empty statement, use { } instead.  [whitespace/semicolon] [5]
Source/WebKit/qt/WebCoreSupport/QWebPageAdapter.h:217:  This { should be at the end of the previous line  [whitespace/braces] [4]
Source/WebKit/qt/WebCoreSupport/QWebPageAdapter.h:218:  Missing space inside { }.  [whitespace/braces] [5]
Source/WebKit/qt/WebCoreSupport/QWebPageAdapter.h:286:  The parameter name "ev" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WebCoreSupport/QWebPageAdapter.cpp:29:  Alphabetical sorting problem.  [build/include_order] [4]
Source/WebKit/qt/WebCoreSupport/QWebPageAdapter.cpp:51:  Alphabetical sorting problem.  [build/include_order] [4]
Source/WebKit/qt/WebCoreSupport/QWebPageAdapter.cpp:61:  Alphabetical sorting problem.  [build/include_order] [4]
Source/WebKit/qt/WebCoreSupport/QWebPageAdapter.cpp:230:  Should have a space between // and comment  [whitespace/comments] [4]
Source/WebKit/qt/WebCoreSupport/QWebPageAdapter.cpp:305:  Should have a space between // and comment  [whitespace/comments] [4]
Source/WebKit/qt/WebCoreSupport/QWebPageAdapter.cpp:317:  An else statement can be removed when the prior "if" concludes with a return, break, continue or goto statement.  [readability/control_flow] [4]
Source/WebKit/qt/WebCoreSupport/QWebPageAdapter.cpp:380:  The parameter type should use PassRefPtr instead of RefPtr.  [readability/pass_ptr] [5]
Source/WebKit/qt/WebCoreSupport/QWebPageAdapter.cpp:471:  Local variables should never be PassRefPtr (see http://webkit.org/coding/RefPtr.html).  [readability/pass_ptr] [5]
Source/WebKit/qt/WebCoreSupport/QWebPageAdapter.cpp:505:  When wrapping a line, only indent 4 spaces.  [whitespace/indent] [3]
Source/WebKit/qt/WebCoreSupport/QWebPageAdapter.cpp:661:  Should have a space between // and comment  [whitespace/comments] [4]
Source/WebKit/qt/WebCoreSupport/QWebPageAdapter.cpp:684:  Tests for true/false, null/non-null, and zero/non-zero should all be done without equality comparisons.  [readability/comparison_to_zero] [5]
Source/WebKit/qt/WebCoreSupport/QWebPageAdapter.cpp:732:  A case label should not be indented, but line up with its switch statement.  [whitespace/indent] [4]
Source/WebKit/qt/WebCoreSupport/QWebPageAdapter.cpp:837:  When wrapping a line, only indent 4 spaces.  [whitespace/indent] [3]
Source/WebKit/qt/WebCoreSupport/QWebPageAdapter.cpp:839:  When wrapping a line, only indent 4 spaces.  [whitespace/indent] [3]
Source/WebKit/qt/WebCoreSupport/QWebPageAdapter.cpp:841:  When wrapping a line, only indent 4 spaces.  [whitespace/indent] [3]
Source/WebKit/qt/WebCoreSupport/QWebPageAdapter.cpp:843:  When wrapping a line, only indent 4 spaces.  [whitespace/indent] [3]
Source/WebKit/qt/WebCoreSupport/QWebPageAdapter.cpp:848:  An else should appear on the same line as the preceding }  [whitespace/newline] [4]
Source/WebKit/qt/WebCoreSupport/QWebPageAdapter.cpp:870:  Non-label code inside switch statements should be indented.  [whitespace/indent] [4]
Source/WebKit/qt/WebCoreSupport/QWebPageAdapter.cpp:869:  Missing space before ( in switch(  [whitespace/parens] [5]
Source/WebKit/qt/WebCoreSupport/QWebPageAdapter.cpp:963:  Omit int when using unsigned  [runtime/unsigned] [1]
Source/WebKit/qt/WebCoreSupport/QWebPageAdapter.cpp:964:  map_it is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
Source/WebKit/qt/WebCoreSupport/QWebPageAdapter.cpp:965:  map_end is incorrectly named. Don't use underscores in your identifier names.  [readability/naming/underscores] [4]
Source/WebKit/qt/WebCoreSupport/QWebPageAdapter.cpp:1033:  A case label should not be indented, but line up with its switch statement.  [whitespace/indent] [4]
Source/WebKit/qt/WebCoreSupport/QWebPageAdapter.cpp:1069:  Declaration has space between type name and * in Frame *frame  [whitespace/declaration] [3]
Source/WebKit/qt/WebCoreSupport/QWebPageAdapter.cpp:1072:  Declaration has space between type name and * in Editor *editor  [whitespace/declaration] [3]
Source/WebKit/qt/WebCoreSupport/QWebPageAdapter.cpp:1080:  A case label should not be indented, but line up with its switch statement.  [whitespace/indent] [4]
Source/WebKit/qt/WebCoreSupport/QWebPageAdapter.cpp:1083:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/WebKit/qt/WebCoreSupport/QWebPageAdapter.cpp:1084:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/WebKit/qt/WebCoreSupport/QWebPageAdapter.cpp:1085:  When wrapping a line, only indent 4 spaces.  [whitespace/indent] [3]
Source/WebKit/qt/WebCoreSupport/QWebPageAdapter.cpp:1093:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/WebKit/qt/WebCoreSupport/QWebPageAdapter.cpp:1094:  When wrapping a line, only indent 4 spaces.  [whitespace/indent] [3]
Source/WebKit/qt/WebCoreSupport/QWebPageAdapter.cpp:1253:  Should have a space between // and comment  [whitespace/comments] [4]
Source/WebKit/qt/WebCoreSupport/QWebPageAdapter.cpp:1258:  When wrapping a line, only indent 4 spaces.  [whitespace/indent] [3]
Source/WebKit/qt/WebCoreSupport/QWebPageAdapter.cpp:1273:  Declaration has space between type name and * in QObject *QWebPageAdapter  [whitespace/declaration] [3]
Source/WebKit/qt/WebCoreSupport/QWebPageAdapter.cpp:1275:  Declaration has space between type name and * in Frame *frame  [whitespace/declaration] [3]
Source/WebKit/qt/WebCoreSupport/QWebPageAdapter.cpp:1282:  Declaration has space between type name and * in Frame *frame  [whitespace/declaration] [3]
Source/WebKit/qt/WebCoreSupport/QWebPageAdapter.cpp:1284:  Declaration has space between type name and * in Document *document  [whitespace/declaration] [3]
Source/WebKit/qt/WebCoreSupport/QWebPageAdapter.cpp:1332:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/WebKit/qt/WebCoreSupport/QWebPageAdapter.cpp:1338:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/WebKit/qt/WebCoreSupport/QWebPageAdapter.cpp:1342:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/WebKit/qt/WebCoreSupport/QWebPageAdapter.cpp:1347:  A case label should not be indented, but line up with its switch statement.  [whitespace/indent] [4]
Source/WebKit/qt/WebCoreSupport/QWebPageAdapter.cpp:1373:  Declaration has space between type name and * in FocusController *focusController  [whitespace/declaration] [3]
Source/WebKit/qt/WebCoreSupport/QWebPageAdapter.cpp:1385:  Declaration has space between type name and * in FocusController *focusController  [whitespace/declaration] [3]
Source/WebKit/qt/WebCoreSupport/QWebPageAdapter.cpp:1398:  When wrapping a line, only indent 4 spaces.  [whitespace/indent] [3]
Source/WebKit/qt/WebCoreSupport/QWebPageAdapter.cpp:1402:  One line control clauses should not use braces.  [whitespace/braces] [4]
Source/WebKit/qt/WebCoreSupport/QWebPageAdapter.cpp:1478:  Declaration has space between type name and * in ContextMenu *menu  [whitespace/declaration] [3]
Source/WebKit/qt/WidgetApi/qwebframe.cpp:29:  Alphabetical sorting problem.  [build/include_order] [4]
Source/WebKit/qt/WidgetApi/qwebframe.cpp:40:  Alphabetical sorting problem.  [build/include_order] [4]
Source/WebKit/qt/WidgetApi/qwebframe.cpp:84:  Declaration has space between type name and * in QWidget *view  [whitespace/declaration] [3]
Source/WebKit/qt/WidgetApi/qwebframe.cpp:121:  Declaration has space between type name and * in QWebFrame *QWebFramePrivate  [whitespace/declaration] [3]
Source/WebKit/qt/WidgetApi/qwebframe.cpp:126:  Declaration has space between type name and * in QObject *QWebFramePrivate  [whitespace/declaration] [3]
Source/WebKit/qt/WidgetApi/qwebframe.cpp:403:  Declaration has space between type name and * in QWebPage *QWebFrame  [whitespace/declaration] [3]
Source/WebKit/qt/WidgetApi/qwebframe.cpp:432:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/WebKit/qt/WidgetApi/qwebframe.cpp:433:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
Source/WebKit/qt/WidgetApi/qwebframe.cpp:493:  Declaration has space between type name and * in QWebFrame *QWebFrame  [whitespace/declaration] [3]
Source/WebKit/qt/WidgetApi/qwebframe.cpp:854:  Tests for true/false, null/non-null, and zero/non-zero should all be done without equality comparisons.  [readability/comparison_to_zero] [5]
Source/WebKit/qt/WidgetApi/qwebframe.cpp:900:  Extra space after ( in if  [whitespace/parens] [5]
Source/WebKit/qt/WidgetApi/qwebframe.cpp:928:  Declaration has space between type name and * in QWebFrame *QWebFramePrivate  [whitespace/declaration] [3]
Source/WebKit/qt/WidgetApi/qwebframe.cpp:1066:  Declaration has space between type name and & in QWebHitTestResult &QWebHitTestResult  [whitespace/declaration] [3]
Source/WebKit/qt/WidgetApi/qwebframe.cpp:1193:  Declaration has space between type name and * in QWebFrame *QWebHitTestResult  [whitespace/declaration] [3]
Source/WebKit/qt/WidgetApi/qwebframe.cpp:1266:  Declaration has space between type name and * in QWebFrame *QWebHitTestResult  [whitespace/declaration] [3]
Source/WebKit/qt/WidgetApi/qwebframe.cpp:1276:  Declaration has space between type name and * in QWebFrameAdapter *QWebFrame  [whitespace/declaration] [3]
Source/WebKit/qt/WidgetApi/qwebframe.h:21:  #ifndef header guard has wrong style, please use: qwebframe_h  [build/header_guard] [5]
Source/WebKit/qt/WidgetApi/qwebframe.h:28:  Alphabetical sorting problem.  [build/include_order] [4]
Source/WebKit/qt/WidgetApi/qwebframe.h:57:  Code inside a namespace should not be indented.  [whitespace/indent] [4]
Source/WebKit/qt/WidgetApi/qwebframe.h:99:  The parameter name "priv" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WeFailed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'Source/QtWebKit.pro', u'Source/WTF/wtf/tex..." exit_code: 1
bKit/qt/WidgetApi/qwebframe.h:133:  The parameter name "url" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebframe.h:134:  The parameter name "request" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebframe.h:134:  The parameter name "operation" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebframe.h:138:  The parameter name "object" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebframe.h:138:  The parameter name "ownership" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebframe.h:143:  The parameter name "url" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebframe.h:155:  The parameter name "orientation" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebframe.h:156:  The parameter name "orientation" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebframe.h:156:  The parameter name "policy" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebframe.h:158:  The parameter name "orientation" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebframe.h:159:  The parameter name "orientation" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebframe.h:160:  The parameter name "orientation" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebframe.h:161:  The parameter name "orientation" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebframe.h:162:  The parameter name "orientation" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebframe.h:166:  The parameter name "pos" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebframe.h:180:  The parameter name "layer" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebframe.h:186:  The parameter name "factor" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebframe.h:209:  The parameter name "printer" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebframe.h:217:  The parameter name "url" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebframe.h:223:  The parameter name "size" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebpage_p.h:21:  #ifndef header guard has wrong style, please use: qwebpage_p_h  [build/header_guard] [5]
Source/WebKit/qt/WidgetApi/qwebpage_p.h:38:  Code inside a namespace should not be indented.  [whitespace/indent] [4]
Source/WebKit/qt/WidgetApi/qwebpage_p.h:146:  The parameter name "action" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebpage_p.h:171:  The parameter name "event" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebpage_p.h:173:  The parameter name "action" adds no information, so it should be removed.  [readability/parameter_name] [5]
Total errors found: 314 in 83 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 4 Simon Hausmann 2012-11-30 06:47:04 PST
Created attachment 176959 [details]
Patch
Comment 5 Kenneth Rohde Christiansen 2012-11-30 06:48:27 PST
Comment on attachment 176959 [details]
Patch

Wow!
Comment 6 WebKit Review Bot 2012-11-30 06:54:05 PST
Attachment 176959 [details] did not pass style-queue:

Source/WebKit/qt/WidgetApi/qwebview.h:21:  #ifndef header guard has wrong style, please use: qwebview_h  [build/header_guard] [5]
Source/WebKit/qt/WidgetApi/qwebview.h:25:  Alphabetical sorting problem.  [build/include_order] [4]
Source/WebKit/qt/WidgetApi/qwebview.h:50:  Should have a space between // and comment  [whitespace/comments] [4]
Source/WebKit/qt/WidgetApi/qwebview.h:61:  The parameter name "page" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebview.h:63:  The parameter name "url" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebview.h:64:  The parameter name "request" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebview.h:64:  The parameter name "operation" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebview.h:72:  The parameter name "url" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebview.h:81:  The parameter name "action" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebview.h:83:  The parameter name "action" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebview.h:98:  The parameter name "factor" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebview.h:104:  The parameter name "hints" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebview.h:105:  The parameter name "hint" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebview.h:134:  The parameter name "type" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebinspector.h:20:  #ifndef header guard has wrong style, please use: qwebinspector_h  [build/header_guard] [5]
Source/WebKit/qt/WidgetApi/qwebinspector.h:36:  The parameter name "page" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebinspector.h:43:  The parameter name "event" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebinspector.h:44:  The parameter name "event" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebinspector.h:45:  The parameter name "event" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebinspector.h:46:  The parameter name "event" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qgraphicswebview.h:20:  #ifndef header guard has wrong style, please use: qgraphicswebview_h  [build/header_guard] [5]
Source/WebKit/qt/WidgetApi/qgraphicswebview.h:24:  Alphabetical sorting problem.  [build/include_order] [4]
Source/WebKit/qt/WidgetApi/qgraphicswebview.h:74:  The parameter name "url" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qgraphicswebview.h:75:  The parameter name "request" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qgraphicswebview.h:75:  The parameter name "operation" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qgraphicswebview.h:84:  The parameter name "action" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qgraphicswebview.h:85:  The parameter name "action" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qgraphicswebview.h:93:  The parameter name "frozen" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qgraphicswebview.h:95:  The parameter name "rect" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qgraphicswebview.h:97:  The parameter name "widget" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qgraphicswebview.h:98:  The parameter name "change" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qgraphicswebview.h:103:  The parameter name "query" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebpage.h:21:  #ifndef header guard has wrong style, please use: qwebpage_h  [build/header_guard] [5]
Source/WebKit/qt/WidgetApi/qwebpage.h:26:  Alphabetical sorting problem.  [build/include_order] [4]
Source/WebKit/qt/WidgetApi/qwebpage.h:56:  Code inside a namespace should not be indented.  [whitespace/indent] [4]
Source/WebKit/qt/WidgetApi/qwebpage.h:258:  The parameter name "view" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebpage.h:266:  The parameter name "manager" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebpage.h:269:  The parameter name "factory" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebpage.h:280:  The parameter name "action" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebpage.h:282:  The parameter name "action" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebpage.h:285:  The parameter name "size" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebpage.h:289:  The parameter name "size" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebpage.h:290:  The parameter name "rect" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebpage.h:299:  The parameter name "forward" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebpage.h:302:  The parameter name "policy" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebpage.h:305:  The parameter name "palette" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebpage.h:308:  The parameter name "editable" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebpage.h:312:  The parameter name "event" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebpage.h:318:  The parameter name "frame" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebpage.h:318:  The parameter name "feature" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebpage.h:318:  The parameter name "policy" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebpage.h:328:  Missing space inside { }.  [whitespace/braces] [5]
Source/WebKit/qt/WidgetApi/qwebpage.h:330:  Missing space inside { }.  [whitespace/braces] [5]
Source/WebKit/qt/WidgetApi/qwebpage.h:355:  Missing space inside { }.  [whitespace/braces] [5]
Source/WebKit/qt/WidgetApi/qwebpage.h:363:  The parameter name "extension" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebpage.h:363:  The parameter name "option" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebpage.h:364:  The parameter name "extension" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebpage.h:378:  The parameter name "frame" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebpage.h:383:  The parameter name "frame" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebpage.h:384:  The parameter name "url" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebpage.h:390:  The parameter name "reply" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebpage.h:391:  The parameter name "request" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebpage.h:395:  The parameter name "frame" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebpage.h:396:  The parameter name "origin" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebpage.h:398:  The parameter name "frame" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebpage.h:398:  The parameter name "item" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebpage.h:399:  The parameter name "frame" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebpage.h:403:  The parameter name "frame" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebpage.h:403:  The parameter name "feature" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebpage.h:404:  The parameter name "frame" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebpage.h:404:  The parameter name "feature" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebpage.h:407:  The parameter name "type" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebpage.h:408:  The parameter name "url" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebpage.h:410:  The parameter name "frame" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebpage.h:410:  The parameter name "request" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebpage.h:410:  The parameter name "type" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebpage.h:417:  The parameter name "url" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WebCoreSupport/QWebPageAdapter.h:95:  Extra space before last semicolon. If this should be an empty statement, use { } instead.  [whitespace/semicolon] [5]
Source/WebKit/qt/WidgetApi/qwebframe.h:21:  #ifndef header guard has wrong style, please use: qwebframe_h  [build/header_guard] [5]
Source/WebKit/qt/WidgetApi/qwebframe.h:57:  Code inside a namespace should not be indented.  [whitespace/indent] [4]
Source/WebKit/qt/WidgetApi/qwebframe.h:99:  The parameter name "priv" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebframe.h:133:  The parameter name "url" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebframe.h:134:  The parameter name "request" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebframe.h:134:  The parameter name "operation" adds no information, so it should be reFailed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'Source/QtWebKit.pro', u'Source/WTF/wtf/tex..." exit_code: 1
moved.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebframe.h:138:  The parameter name "object" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebframe.h:138:  The parameter name "ownership" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebframe.h:143:  The parameter name "url" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebframe.h:155:  The parameter name "orientation" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebframe.h:156:  The parameter name "orientation" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebframe.h:156:  The parameter name "policy" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebframe.h:158:  The parameter name "orientation" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebframe.h:159:  The parameter name "orientation" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebframe.h:160:  The parameter name "orientation" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebframe.h:161:  The parameter name "orientation" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebframe.h:162:  The parameter name "orientation" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebframe.h:166:  The parameter name "pos" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebframe.h:180:  The parameter name "layer" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebframe.h:186:  The parameter name "factor" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebframe.h:209:  The parameter name "printer" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebframe.h:217:  The parameter name "url" adds no information, so it should be removed.  [readability/parameter_name] [5]
Source/WebKit/qt/WidgetApi/qwebframe.h:223:  The parameter name "size" adds no information, so it should be removed.  [readability/parameter_name] [5]
Total errors found: 101 in 84 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 7 Simon Hausmann 2012-11-30 06:59:25 PST
There will be some failing tests after landing, but we'll take care of these separately.
Comment 8 Simon Hausmann 2012-11-30 07:32:30 PST
Committed r136235: <http://trac.webkit.org/changeset/136235>